using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Collections.ObjectModel;

namespace VistaAdmin.Configuration.Models
{
    [XmlRoot(ElementName = "EnvironmentList")]
    public class EnvironmentsList : ObservableCollection<Environment>
    {
        public void AddRange(IEnumerable<Environment> range)
        {
            foreach (Environment node in range)
            {
                this.Add(node);
            }
        }

        //public void Add(Environment node)  
        //{  
        //        this.Add(node);  
        //}  
    }
} 
